Apache Tomcat 6.0.51

## org.apache.catalina.tribes.group
Class GroupChannel.InterceptorIterator

    java.lang.Object
      org.apache.catalina.tribes.group.GroupChannel.InterceptorIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  GroupChannel

    public static class GroupChannel.InterceptorIterator

extends java.lang.Object
implements java.util.Iterator

Title: Interceptor Iterator

Description: An iterator to loop through the interceptors in a channel

Version:
  1.0

Constructor Summary
`GroupChannel.InterceptorIterator(ChannelInterceptor start, ChannelInterceptor end)`

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupChannel.InterceptorIterator

    public GroupChannel.InterceptorIterator(ChannelInterceptor start,
                                            ChannelInterceptor end)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.